<!DOCTYPE html>
<html ng-app="psonocli" class="datastore" ng-csp ng-strict-di>
<head>
    <title>Psono PW</title>
    <meta charset="utf-8">

    <link rel="apple-touch-icon" sizes="180x180" href="img/apple-touch-icon.png">
    <link rel="icon" type="image/png" href="img/favicon-32x32.png" sizes="32x32">
    <link rel="icon" type="image/png" href="img/favicon-16x16.png" sizes="16x16">
    <link rel="shortcut icon" href="img/favicon.ico">
    <meta charset="utf-8"/>
    <meta name="description" content="Psono Web Client to login or register">
    <meta name="msapplication-config" content="img/browserconfig.xml">
    <meta name="theme-color" content="#ffffff">
    <meta name="viewport" content="width=device-width, user-scalable=no">
    <meta name="apple-mobile-web-app-capable" content="yes" />
    <meta name="apple-mobile-web-app-status-bar-style" content="black" />

    <link rel="search" type="application/opensearchdescription+xml" title="Search Psono " href="search.xml" />

    <!-- build:build_min_css -->
    <link href="css/lib/cssreset-context-min.css" rel="stylesheet" />
    <link href="css/lib/opensans.css" rel="stylesheet" />
    <link href="css/lib/angular-csp.css" rel="stylesheet">
    <link href="css/lib/bootstrap.css" rel="stylesheet">
    <link href="css/lib/bootstrap-datetimepicker.min.css" rel="stylesheet">
    <link href="css/lib/ui-bootstrap-csp.css" rel="stylesheet">
    <link href="css/lib/datatables.min.css" rel="stylesheet">
    <link href="css/lib/angular-snap.css" rel="stylesheet">
    <link href="css/lib/font-awesome.min.css" rel="stylesheet">
    <link href="css/lib/fira_code.css" rel="stylesheet">
    <link href="css/lib/angular-datatables.css" rel="stylesheet">
    <link href="css/lib/datatables.bootstrap.css" rel="stylesheet">
    <link href="css/lib/angular-ui-select.css" rel="stylesheet">
    <link href="css/lib/loading-bar.min.css" rel="stylesheet">

    <link href="css/angular-tree-view.css" rel="stylesheet">
    <link href="css/style.css" rel="stylesheet">
    <!-- endbuild -->

    <link href="css/datastore.css" rel="stylesheet">
</head>
<body>
<div  ng-controller="WrapperCtrl" class="ng-cloak">
<div ng-if="view === 'logged_in'" ng-controller="MainCtrl">

    <nav class="navbar navbar-default navbar-static-top">
        <div class="container">
            <div class="navbar-header">
                <a class="navbar-brand" href="#">
                    <img alt="Psono" src="img/logo-inverse.png" height="100%">
                </a>

                <div  class="navbar-text navbar-left">
                    <div class="btn-group" uib-dropdown keyboard-nav ng-if="data_stores.length > 1 && !offline">
                        <button id="simple-btn-keyboard-nav" type="button" class="btn btn-primary" uib-dropdown-toggle>
                            {{'DATASTORE' | translate}} <span class="caret"></span>
                        </button>
                        <ul class="dropdown-menu" uib-dropdown-menu role="menu" aria-labelledby="simple-btn-keyboard-nav">
                            <li role="menuitem" ng-repeat="ds in data_stores">
                                <a href="" ng-click="on_datastore_switch_click(ds)">
                                    <i class="fa fa-check-square-o fa-fw" ng-if="ds.is_default"></i> <i class="fa fa-square-o fa-fw" ng-if="!ds.is_default"></i> {{ds.description}}
                                </a>
                            </li>
                            <li class="divider"></li>
                            <li role="menuitem">
                                <a href="" ng-click="create_new_datastore()">
                                    <i class="fa fa-plus fa-fw"></i> {{'CREATE_NEW_DATASTORE' | translate}}
                                </a>
                            </li>
                        </ul>
                    </div>
                </div>

                <button type="button" class="navbar-toggle collapsed btn btn-primary" ng-click="isNavCollapsed = !isNavCollapsed">
                    <span class="sr-only">{{'TOGGLE_NAVIGATION' | translate}}</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
            </div>
            <div class="collapse navbar-collapse" uib-collapse="isNavCollapsed">
                <div  class="navbar-text navbar-right">
                    <div class="signintext hidden-xs">{{'SIGNED_IN_AS' | translate}}</div>
                    <div class="btn-group" uib-dropdown is-open="status.isopen" ng-if="isNavCollapsed">
                        <button id="email-button" type="button" class="btn btn-primary hidden-xs" uib-dropdown-toggle>
                            {{user_username}} <span class="caret"></span>
                        </button>
                        <ul class="dropdown-menu" role="menu" aria-labelledby="email-button">
                            <li role="menuitem"><a href="#!/account" ng-if="!offline"><i class="fa fa-sliders fa-fw"></i> {{'ACCOUNT' | translate}}</a></li>
                            <li role="menuitem"><a href="#!/settings" ng-if="!offline"><i class="fa fa-cogs fa-fw"></i> {{'SETTINGS' | translate}}</a></li>
                            <li role="menuitem"><a href="#!/other" ng-if="!offline"><i class="fa fa-tasks fa-fw"></i> {{'OTHER' | translate}}</a></li>
                            <li role="menuitem"><a href="#" ng-if="!offline" ng-click="go_offline()"><i class="fa fa-plane fa-fw"></i> {{'GO_OFFLINE' | translate}}</a></li>
                            <li role="menuitem"><a href="" ng-if="offline" ng-click="go_online()"><i class="fa fa-globe fa-fw"></i> {{'GO_ONLINE' | translate}}</a></li>
                            <li class="divider"></li>
                            <li role="menuitem"><a href="#" ng-click="logout()"><i class="fa fa-sign-out fa-fw"></i> {{'LOGOUT' | translate}}</a></li>
                        </ul>
                    </div>
                    <div ng-if="! isNavCollapsed">
                        <ul class="nav navbar-nav" ng-if="! isNavCollapsed">
                            <li role="menuitem"><a href="#!/account" ng-if="!offline"><i class="fa fa-sliders fa-fw"></i> {{'ACCOUNT' | translate}}</a></li>
                            <li role="menuitem"><a href="#!/settings" ng-if="!offline"><i class="fa fa-cogs fa-fw"></i> {{'SETTINGS' | translate}}</a></li>
                            <li role="menuitem"><a href="#!/other" ng-if="!offline"><i class="fa fa-tasks fa-fw"></i> {{'OTHER' | translate}}</a></li>
                            <li role="menuitem"><a href="#" ng-if="!offline" ng-click="go_offline()"><i class="fa fa-plane fa-fw"></i> {{'GO_OFFLINE' | translate}}</a></li>
                            <li role="menuitem"><a href="" ng-if="offline" ng-click="go_offline()"><i class="fa fa-globe fa-fw"></i> {{'GO_ONLINE' | translate}}</a></li>
                            <li role="menuitem"><a href="#" ng-click="logout()"><i class="fa fa-sign-out fa-fw"></i> {{'LOGOUT' | translate}}</a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </nav>

    <div snap-drawer class="dark">
        <h2>{{'NAVIGATION' | translate}}</h2>
        <ul class="navigations">
            <li ng-class="get_link_state('/')">
                <a class="navigationitem2" href="#">
                    <span class="fa-stack"><i class="fa fa-home fa-fw" aria-hidden="true"></i></span>{{'HOME' | translate}}
                </a>
            </li>
            <!--<li ng-class="get_link_state('/test')"><a href="#!/test">Test</a></li>-->
        </ul>
        <h2 ng-if="!offline">{{'SHARE_DETAILS' | translate}}</h2>
        <ul class="navigations" ng-if="!offline">
            <li ng-class="get_link_state('/share/pendingshares')">
                <a class="navigationitem2" href="#!/share/pendingshares">
                    <span class="fa-stack"><i class="fa fa-share-alt fa-fw"></i></span>{{'PENDING_REQUESTS' | translate}}
                    <span class="badge float-right" ng-if="server_status.data.unaccepted_shares_count">
                        {{ server_status.data.unaccepted_shares_count }}
                    </span>
                </a>
            </li>
            <li ng-class="get_link_state('/share/users')">
                <a class="navigationitem2" href="#!/share/users">
                    <span class="fa-stack"><i class="fa fa-user fa-fw"></i></span>{{'TRUSTED_USERS' | translate}}
                </a>
            </li>
            <li ng-class="get_link_state('/groups')">
                <a class="navigationitem2" href="#!/groups">
                    <span class="fa-stack"><i class="fa fa-users fa-fw"></i></span>{{'GROUPS' | translate}}
                    <span class="badge float-right" ng-if="server_status.data.unaccepted_groups_count || server_status.data.unapproved_group_shares_count">
                        {{ server_status.data.unaccepted_groups_count + server_status.data.unapproved_group_shares_count }}
                    </span>
                </a>
            </li>
            <li ng-class="get_link_state('/security-report')">
                <a class="navigationitem2" href="#!/security-report">
                    <span class="fa-stack"><i class="fa fa-file-text fa-fw"></i></span>{{'SECURITY_REPORT' | translate}}
                </a>
            </li>
            <li ng-class="get_link_state('/active-link-shares')" ng-if="enable_link_shares">
                <a class="navigationitem2" href="#!/active-link-shares">
                    <span class="fa-stack"><i class="fa fa-link fa-fw"></i></span>{{'ACTIVE_LINK_SHARES' | translate}}
                </a>
            </li>
        </ul>
        <h2 ng-if="more_links && more_links.length">{{'MORE' | translate}}</h2>
        <ul class="navigations" ng-if="more_links">

            <li ng-repeat="l in more_links">
                <a class="navigationitem2" ng-href="{{ l.href }}" target="_blank" rel="noopener">
                    <span class="fa-stack"><i class="fa fa-fw" ng-class="l.class" aria-hidden="true"></i></span>{{l.title | translate}}
                </a>
            </li>
        </ul>
        <div class="footer version">
            PSONO: {{ version }}
        </div>
    </div>

    <div snap-content>
        <div ng-view ng-style="{ 'width' : snap.snap_content_with }"></div>
    </div>

</div>
<div ng-if="view === 'logged_out'" ng-controller="LoginCtrl">
    <!-- Not logged in, show the login form -->
    <div class="wrapper">

        <div class="loginbox dark">
            <img src="img/logo.png" alt="Psono Web Client" id="logo">
            <a href="https://psono.com/" target="_blank" rel="noopener" class="infolabel"><i class="fa fa-info-circle" aria-hidden="true"></i></a>

            <div class="btn-group loginbox-translate" uib-dropdown keyboard-nav ng-controller="LanguagePickerCtrl">
                <button id="language-picker" type="button" class="btn btn-primary" uib-dropdown-toggle>
                    {{active.lang.lng_code | translate}} <span class="caret"></span>
                </button>
                <ul class="dropdown-menu dropdown-menu-right" uib-dropdown-menu role="menu" aria-labelledby="language-picker">
                    <li role="menuitem" ng-repeat="lang in languages">
                        <a href="" ng-click="change_language(lang)" ng-if="lang.active">
                            {{lang.lng_code | translate}}
                        </a>
                    </li>
                    <li role="menuitem">
                        <a target="_blank" rel="noopener" href="https://poeditor.com/join/project/Aiea8D0WIr">
                            {{'NOT_LISTED' | translate}}
                        </a>
                    </li>
                </ul>
            </div>

            <form name="loginForm" ng-if="view === 'default'" autocomplete="off">
                <!-- default View -->
                <div ng-if="saml_enabled" ng-repeat="provider in saml_provider">
                    <div class="form-group">
                        {{ provider.title }}
                    </div>
                    <div class="form-group">
                        <button ng-click="initiate_saml_login(provider, login_data.remember, login_data.trust, true)" type="submit" class="btn btn-danger">{{ provider.button_name}} <i class="fa fa-sign-in" aria-hidden="true"></i></button>
                        <a ng-if="provider.registration_url" ng-href="{{ provider.registration_url }}">{{'REGISTER' | translate}}</a>
                    </div>
                </div>
                <p ng-if="saml_enabled && saml_provider && saml_provider.length && (authkey_enabled || ldap_enabled)" class="horizontalline"><span>{{'OR' | translate}}</span></p>
                <div ng-if="authkey_enabled || ldap_enabled" ng-class="{'input-group': login_data.username == null || login_data.username.indexOf('@') == -1}">
                    <input type="text" class="form-control" id="loginUsername" placeholder="{{'USERNAME' | translate}}" ng-model="login_data.username" required aria-describedby="username-addon" autofocus>
                    <span class="input-group-addon" id="username-addon" ng-if="login_data.username == null || login_data.username.indexOf('@') == -1">@{{selected_server_domain}}</span>
                </div>
                <br ng-if="authkey_enabled || ldap_enabled">
                <div ng-if="authkey_enabled || ldap_enabled" class="form-group">
                    <input type="password" class="form-control" id="loginPassword" placeholder="{{'PASSWORD' | translate}}" ng-model="login_data.password" required>
                </div>
                <div class="checkbox">
                    <label><input type="checkbox" ng-model="login_data.remember"> {{'REMEMBER_USERNAME_AND_SERVER' | translate}}</label>
                </div>
                <div class="checkbox">
                    <label><input type="checkbox" ng-model="login_data.trust"> {{'TRUST_DEVICE' | translate}}</label>
                </div>

                <div ng-if="authkey_enabled || ldap_enabled" class="form-group">
                    <button ng-if="authkey_enabled || ldap_enabled" ng-click="initiate_login(login_data.username, login_data.password, login_data.remember, login_data.trust, true)" type="submit" class="btn btn-danger">{{'LOGIN' | translate}} <i class="fa fa-sign-in" aria-hidden="true"></i></button>
                    <a ng-if="allow_registration && authkey_enabled" href="register.html">{{'REGISTER' | translate}}</a>
                </div>

                <div class="form-group alert alert-danger" ng-repeat="e in errors">
                    <strong>{{'ERROR' | translate}}:</strong> <span translate="{{ e }}"></span>
                </div>

                <div ng-if="allow_custom_server" class="form-group hideinputcharakter">

                    <label for="serverselection">{{'SERVER' | translate}}: </label>
                    <input type="text" id="serverselection"
                           uib-popover-template="'view/popover-server-select.html'"
                           popover-trigger="'focus'"
                           ng-model="selected_server_url"
                           ng-change="changing(selected_server_url)"
                           class="form-control">
                </div>
            </form>

            <form name="newServerForm" ng-if="view === 'new_server'" autocomplete="off">
                <!-- new Server View -->
                <div class="form-group">
                    <h4>{{'NEW_SERVER' | translate}}</h4>
                </div>
                <div class="form-group">
                    <p>{{'FINGERPRINT_OF_THE_NEW_SERVER' | translate}}:</p>
                    <textarea class="form-control" id="newServerFingerprint"
                              placeholder="{{'FINGERPRINT_OF_THE_NEW_SERVER' | translate}}"
                              ng-model="newServerFingerprint" readonly="readonly"></textarea>
                </div>

                <div class="form-group">
                    <button ng-click="approve_new_server()" type="submit"
                            class="btn btn-danger">{{'APPROVE' | translate}}</button>
                    <a href="#" ng-click="disapprove_new_server()">{{'CANCEL' | translate}}</a>
                </div>

                <div class="form-group alert alert-danger" ng-repeat="e in errors">
                    <strong>{{'ERROR' | translate}}:</strong> <span translate="{{ e }}"></span>
                </div>

                <div class="form-group">
                    <div class="alert alert-info">
                        <strong>{{'INFO' | translate}}!</strong> {{'IT_APPEARS_THAT_YOU_WANT_TO_CONNECT' | translate}}
                    </div>
                </div>
            </form>

            <form name="signatureChangedForm" ng-if="view === 'signature_changed'" autocomplete="off">
                <!-- signature changed View -->
                <div class="form-group">
                    <h4>{{'SERVER_SIGNATURE_CHANGED' | translate}}:</h4>
                </div>
                <div class="form-group">
                    <p>{{'THE_NEW_FINGERPRINT_IS' | translate}}:</p>
                    <textarea class="form-control" id="changedFingerprint"
                              placeholder="{{'FINGERPRINT_OF_THE_NEW_SERVER' | translate}}"
                              ng-model="changedFingerprint" readonly="readonly"></textarea>
                </div>
                <div class="form-group">
                    <p>{{'THE_OLD_FINGERPRINT_WAS' | translate}}:</p>
                    <textarea class="form-control" id="oldFingerprint"
                              placeholder="{{'FINGERPRINT_OF_THE_OLD_SERVER' | translate}}"
                              ng-model="oldFingerprint" readonly="readonly"></textarea>
                </div>
                <div class="form-group">
                    <div class="alert alert-danger">
                        <strong>{{'DANGER' | translate}}!</strong> {{'THE_SIGNATURE_OF_THE_SERVER_CHANGED' | translate}}<br><br><strong>{{'CONTACT_THE_OWNER_OF_THE_SERVER' | translate}}</strong>
                    </div>
                </div>

                <div class="form-group">
                    <button ng-click="disapprove_new_server()" type="submit"
                            class="btn btn-danger">{{'CANCEL' | translate}}</button>
                    <a href="#" ng-click="approve_new_server()">{{'IGNORE_AND_CONTINUE' | translate}}</a>
                </div>

                <div class="form-group alert alert-danger" ng-repeat="e in errors">
                    <strong>{{'ERROR' | translate}}:</strong> <span translate="{{ e }}"></span>
                </div>
            </form>

            <form name="askPlainForm" ng-if="view === 'ask_send_plain'" autocomplete="off">
                <!-- signature changed View -->
                <div class="form-group">
                    <h4>{{'SERVER_ASKS_FOR_YOUR_PLAINTEXT_PASSWORD' | translate}}:</h4>
                </div>
                <div class="form-group">
                    <div class="alert alert-warning">
                        <strong>{{'DANGER' | translate}}!</strong> {{'ACCEPTING_THIS_WILL_SEND_YOUR_PLAIN_PASSWORD' | translate}}
                    </div>
                </div>

                <div class="form-group">
                    <button ng-click="approve_send_plain()" type="submit"
                            class="btn btn-warning">{{'APPROVE_UNSAFE' | translate}}</button>
                    <button ng-click="disapprove_send_plain()" type="submit"
                            class="btn btn-success">{{'DECLINE_SAFE' | translate}}</button>
                </div>

                <div class="form-group alert alert-danger" ng-repeat="e in errors">
                    <strong>{{'ERROR' | translate}}:</strong> <span translate="{{ e }}"></span>
                </div>
            </form>

            <form name="googleAuthenticatorForm" ng-if="view === 'google_authenticator_2fa'" autocomplete="off">
                <!-- google_authenticator_2fa View -->
                <div class="form-group">
                    {{'ENTER_YOUR_GOOGLE_AUTHENTICATOR_CODE' | translate}}:
                </div>
                <div class="form-group">
                    <input type="text" class="form-control" id="gaToken" placeholder="{{'GOOGLE_AUTHENTICATOR_CODE' | translate}}"
                           ng-model="googleAuthenticatorFormGAToken" required maxlength="6" minlength="6">
                </div>

                <div class="form-group">
                    <button ng-click="ga_verify(googleAuthenticatorFormGAToken)" type="submit"
                            class="btn btn-danger">{{'SEND' | translate}}</button>
                    <button class="btn" type="button" ng-click="cancel();">{{'CLOSE' | translate}}</button>
                </div>

                <div class="form-group alert alert-danger" ng-repeat="e in errors">
                    <strong>{{'ERROR' | translate}}:</strong> <span translate="{{ e }}"></span>
                </div>
            </form>

            <form name="yubikeyOTPForm" ng-if="view === 'yubikey_otp_2fa'" autocomplete="off">
                <!-- yubikey_otp_2fa View -->
                <div class="form-group">
                    {{'ENTER_YOUR_YUBIKEY_OTP_TOKEN' | translate}}:
                </div>
                <div class="form-group">
                    <input type="text" class="form-control" id="yubikeyOTPToken" placeholder="{{'YUBIKEY_TOKEN' | translate}}"
                           ng-model="yubikeyOTPFormToken" required>
                </div>

                <div class="form-group">
                    <button ng-click="yubikey_otp_verify(yubikeyOTPFormToken)" type="submit"
                            class="btn btn-danger">{{'SEND' | translate}}</button>
                    <button class="btn" type="button" ng-click="cancel();">{{'ABORT' | translate}}</button>
                </div>

                <div class="form-group alert alert-danger" ng-repeat="e in errors">
                    <strong>{{'ERROR' | translate}}:</strong> <span translate="{{ e }}"></span>
                </div>
            </form>

            <form name="duoForm" ng-if="view === 'duo_2fa'" autocomplete="off">
                <!-- duo_2fa View -->
                <div class="form-group">
                    {{'APPROVE_THE_PUSH_NOTIFICATION' | translate}}:
                </div>
                <div class="form-group">
                    <input type="text" class="form-control" id="duoToken" placeholder="{{'DUO_CODE' | translate}}"
                           ng-model="duoFormToken" required>
                </div>

                <div class="form-group">
                    <button ng-click="duo_verify(duoFormToken)" type="submit"
                            class="btn btn-danger">{{'SEND' | translate}}</button>
                    <button class="btn" type="button" ng-click="cancel();">{{'CLOSE' | translate}}</button>
                </div>

                <div class="form-group alert alert-danger" ng-repeat="e in errors">
                    <strong>{{'ERROR' | translate}}:</strong> <span translate="{{ e }}"></span>
                </div>
            </form>

            <div class="box-footer">
                <a ng-if="allow_lost_password" href="lost-password.html">{{'LOST_PASSWORD' | translate}}?</a> <a href="privacy-policy.html">{{'PRIVACY_POLICY' | translate}}</a>
            </div>
        </div>
    </div>
</div>

</div>
<div ng-show="::false" style="position: fixed; height: 100%; width: 100%; background-color: #0f1118; top: 0; left: 0; z-index: 10000;">
    <div style="position: absolute; font-size: 26px; color: #2dbb93; background-color: #151f2b; top: 50%; left: 50%; transform: translate(-50%, -50%); padding: 60px 60px 60px 60px; text-align: center">
        <i style="
           display: inline-block;
           font: normal normal normal 14px/1 FontAwesome;
           text-rendering: auto;
           font-size: 3em;
           text-align: center;
           animation: fa-spin 2s infinite linear;
           vertical-align: middle;">&#xf110;</i> Loading<noscript><br>JavaScript is disabled</noscript>
    </div>

</div>

<!-- build:build_min_js -->
<!-- Start of scripts -->
<script src="js/lib/ecma-nacl.min.js" type="text/javascript"></script>
<script src="js/lib/openpgp.min.js" type="text/javascript"></script>
<script src="js/lib/sha512.min.js" type="text/javascript"></script>
<script src="js/lib/sha256.min.js" type="text/javascript"></script>
<script src="js/lib/sha1.min.js" type="text/javascript"></script>
<script src="js/lib/uuid.js" type="text/javascript"></script>
<script src="js/lib/chart.min.js" type="text/javascript"></script>
<script src="js/lib/client.min.js" type="text/javascript"></script>
<script src="js/lib/FileSaver.min.js" type="text/javascript"></script>
<script src="js/lib/text-decoder-polyfill.min.js" type="text/javascript"></script>
<script src="js/lib/jquery.min.js" type="text/javascript"></script>
<script src="js/lib/datatables.min.js" type="text/javascript"></script>
<script src="js/lib/snap.min.js" type="text/javascript"></script>
<script src="js/lib/jquery-ui.min.js"></script>
<script src="js/lib/lokijs.min.js" type="application/javascript"></script>
<script src="js/lib/qrcode.min.js" type="application/javascript"></script>
<script src="js/lib/fastclick.js" type="application/javascript"></script>
<script src="js/lib/papaparse.min.js" type="application/javascript"></script>
<script src="js/lib/fast-xml-parser.js" type="text/javascript"></script>


<!-- Angular Juju -->
<script src="js/lib/angular.min.js" type="application/javascript"></script>
<script src="js/lib/raven.min.js" type="application/javascript"></script>
<script src="js/raven.js" type="application/javascript"></script>
<script src="js/lib/angular-cookies.min.js" type="application/javascript"></script>
<script src="js/lib/angular-animate.min.js" type="application/javascript"></script>
<script src="js/lib/angular-touch.min.js" type="application/javascript"></script>
<script src="js/lib/angular-complexify.min.js" type="application/javascript"></script>
<script src="js/lib/moment-with-locales.min.js" type="application/javascript"></script>
<script src="js/lib/bootstrap-datetimepicker.min.js" type="application/javascript"></script>
<script src="js/lib/loading-bar.min.js" type="application/javascript"></script>
<script src="js/lib/angular-chart.min.js" type="application/javascript"></script>
<script src="js/lib/angular-route.min.js" type="application/javascript"></script>
<script src="js/lib/angular-sanitize.min.js" type="application/javascript"></script>
<script src="js/lib/angular-local-storage.min.js" type="application/javascript"></script>
<script src="js/lib/angular-snap.min.js" type="application/javascript"></script>
<script src="js/lib/angular-translate.min.js" type="application/javascript"></script>
<script src="js/lib/angular-eonasdan-datetimepicker.min.js" type="application/javascript"></script>
<script src="js/lib/angular-translate-storage-cookie.min.js" type="application/javascript"></script>
<script src="js/lib/angular-translate-loader-url.min.js" type="application/javascript"></script>
<script src="js/lib/angular-translate-loader-static-files.min.js" type="application/javascript"></script>
<script src="js/lib/ui-bootstrap-tpls.min.js" type="application/javascript"></script>
<script src="js/lib/angular-datatables.js" type="application/javascript"></script>
<script src="js/lib/angular-ui-select.js" type="application/javascript"></script>
<script src="js/lib/ng-context-menu.js" type="application/javascript"></script>

<script src="js/module/ng-tree.js" type="application/javascript"></script>

<script src="js/main.js" type="application/javascript"></script>
<script src="js/service-worker-load.js" type="application/javascript"></script>
<script src="js/crypto-worker.js" type="application/javascript"></script>

<script src="js/directive/autoFocus.js" type="application/javascript"></script>
<script src="js/directive/fileReader.js" type="application/javascript"></script>
<script src="js/directive/treeView.js" type="application/javascript"></script>
<script src="js/directive/treeViewNode.js" type="application/javascript"></script>

<script src="js/controller/AcceptShareCtrl.js"></script>
<script src="js/controller/ChooseFolderCtrl.js"></script>
<script src="js/controller/ChooseSecretsCtrl.js"></script>
<script src="js/controller/AccountCtrl.js" type="application/javascript"></script>
<script src="js/controller/ActivationCtrl.js" type="application/javascript"></script>
<script src="js/controller/ActiveLinkSharesCtrl.js" type="application/javascript"></script>
<script src="js/controller/DatastoreCtrl.js"></script>
<script src="js/controller/SecurityReportCtrl.js" type="application/javascript"></script>
<script src="js/controller/LanguagePickerCtrl.js" type="application/javascript"></script>
<script src="js/controller/LinkShareAccessCtrl.js" type="application/javascript"></script>
<script src="js/controller/LoginCtrl.js" type="application/javascript"></script>
<script src="js/controller/GPGDecryptMessageCtrl.js" type="application/javascript"></script>
<script src="js/controller/GPGEncryptMessageCtrl.js" type="application/javascript"></script>
<script src="js/controller/LostPasswordCtrl.js" type="application/javascript"></script>
<script src="js/controller/ActivateEmergencyCodeCtrl.js" type="application/javascript"></script>
<script src="js/controller/MainCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/AcceptShareCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/ChooseFolderCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/ChooseSecretsCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/ConfigureGoogleAuthenticatorCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/DeleteOtherSessionsCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/AddGPGReceiverCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/ConfigureDuoCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/ConfigureYubiKeyOTPCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/CreateDatastoreCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/CreateAPIKeyCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/CreateFileRepositoryCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/EditAPIKeyCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/EditDatastoreCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/DeleteDatastoreCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/DatastoreNewEntryCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/DisplayShareRightsCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/EditEntryCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/EditFileRepositoryCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/EditFolderCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/GoOfflineCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/HistoryCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/NewFolderCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/VerifyCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/NewGroupCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/PickUserCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/SelectUserCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/EditGroupCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/EncryptMessageGPGCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/DecryptMessageGPGCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/EditGPGUserCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/GenerateNewMailGPGKeyCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/ImportMailGPGKeyAsTextCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/ShareEditEntryCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/CreateLinkShareCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/EditLinkShareCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/ShareEntryCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/ShareNewEntryCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/ShowEmergencyCodesCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/ShowRecoverycodeCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/UnlockOfflineCacheCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/DeleteAccountCtrl.js" type="application/javascript"></script>
<script src="js/controller/EditEntryBigCtrl.js" type="application/javascript"></script>
<script src="js/controller/OpenSecretCtrl.js" type="application/javascript"></script>
<script src="js/controller/DownloadFileCtrl.js" type="application/javascript"></script>
<script src="js/controller/OtherCtrl.js" type="application/javascript"></script>
<script src="js/controller/OtherSessionsCtrl.js" type="application/javascript"></script>
<script src="js/controller/OtherKnownHostsCtrl.js" type="application/javascript"></script>
<script src="js/controller/OtherDatastoreCtrl.js" type="application/javascript"></script>
<script src="js/controller/OtherAPIKeyCtrl.js" type="application/javascript"></script>
<script src="js/controller/OtherFileRepositoryCtrl.js" type="application/javascript"></script>
<script src="js/controller/OtherExportCtrl.js" type="application/javascript"></script>
<script src="js/controller/OtherImportCtrl.js" type="application/javascript"></script>
<script src="js/controller/PanelCtrl.js" type="application/javascript"></script>
<script src="js/controller/RegisterCtrl.js" type="application/javascript"></script>
<script src="js/controller/SettingsCtrl.js" type="application/javascript"></script>
<script src="js/controller/ShareCtrl.js" type="application/javascript"></script>
<script src="js/controller/ShareusersCtrl.js" type="application/javascript"></script>
<script src="js/controller/GroupsCtrl.js" type="application/javascript"></script>
<script src="js/controller/WrapperCtrl.js" type="application/javascript"></script>
<script src="js/controller/Enforce2FaCtrl.js" type="application/javascript"></script>

<script src="js/service/api-client.js" type="application/javascript"></script>
<script src="js/service/api-gcp.js" type="application/javascript"></script>
<script src="js/service/api-do.js" type="application/javascript"></script>
<script src="js/service/api-aws.js" type="application/javascript"></script>
<script src="js/service/api-fileserver.js" type="application/javascript"></script>
<script src="js/service/api-pwnedpasswords.js" type="application/javascript"></script>
<script src="js/service/helper.js" type="application/javascript"></script>
<script src="js/service/device.js" type="application/javascript"></script>
<script src="js/service/message.js" type="application/javascript"></script>
<script src="js/service/item-blueprint.js" type="application/javascript"></script>
<script src="js/service/share-blueprint.js" type="application/javascript"></script>
<script src="js/service/crypto-library.js" type="application/javascript"></script>
<script src="js/service/converter.js" type="application/javascript"></script>
<script src="js/service/openpgp.js" type="application/javascript"></script>
<script src="js/service/storage.js" type="application/javascript"></script>
<script src="js/service/offline-cache.js" type="application/javascript"></script>
<script src="js/service/account.js" type="application/javascript"></script>
<script src="js/service/settings.js" type="application/javascript"></script>
<script src="js/service/manager-base.js" type="application/javascript"></script>
<script src="js/service/language-picker.js" type="application/javascript"></script>
<script src="js/service/manager.js" type="application/javascript"></script>
<script src="js/service/manager-widget.js" type="application/javascript"></script>
<script src="js/service/manager-datastore.js" type="application/javascript"></script>
<script src="js/service/manager-api-keys.js" type="application/javascript"></script>
<script src="js/service/manager-secret-link.js" type="application/javascript"></script>
<script src="js/service/manager-share-link.js" type="application/javascript"></script>
<script src="js/service/manager-export.js" type="application/javascript"></script>
<script src="js/service/manager-file-transfer.js" type="application/javascript"></script>
<script src="js/service/manager-file-link.js" type="application/javascript"></script>
<script src="js/service/manager-file-repository.js" type="application/javascript"></script>
<script src="js/service/manager-hosts.js" type="application/javascript"></script>
<script src="js/service/manager-import.js" type="application/javascript"></script>
<script src="js/service/manager-link-share.js" type="application/javascript"></script>
<script src="js/service/manager-security-report.js" type="application/javascript"></script>
<script src="js/service/import-chrome-csv.js" type="application/javascript"></script>
<script src="js/service/import-psono-pw-json.js" type="application/javascript"></script>
<script src="js/service/import-lastpass-com-csv.js" type="application/javascript"></script>
<script src="js/service/import-keepassx-org-csv.js" type="application/javascript"></script>
<script src="js/service/import-keepass-info-csv.js" type="application/javascript"></script>
<script src="js/service/import-keepass-info-xml.js" type="application/javascript"></script>
<script src="js/service/manager-status.js" type="application/javascript"></script>
<script src="js/service/manager-secret.js" type="application/javascript"></script>
<script src="js/service/manager-share.js" type="application/javascript"></script>
<script src="js/service/manager-datastore-password.js" type="application/javascript"></script>
<script src="js/service/manager-datastore-user.js" type="application/javascript"></script>
<script src="js/service/manager-datastore-gpg-user.js" type="application/javascript"></script>
<script src="js/service/manager-groups.js" type="application/javascript"></script>
<script src="js/service/manager-history.js" type="application/javascript"></script>
<script src="js/service/manager-datastore-setting.js" type="application/javascript"></script>
<script src="js/service/browser-client.js" type="application/javascript"></script>
<script src="js/service/drop-down-menu-watcher.js" type="application/javascript"></script>

<script src="view/templates.js" type="application/javascript"></script>
<!-- End Angular Juju -->
<!-- endbuild -->
</body>
</html>